<?php

$title = 'My tests';
$this->headTitle($title);
?>
<h1><?php echo $this->escapeHtml($title); ?></h1>
<p>
    <a class="btn btn-success" href="<?php echo $this->url('test', array('action'=>'add'));?>">Add new test</a>
</p>

<table class="table">
    <tr>
        <th>Title</th>
        <th>Artist</th>
        <th>&nbsp;</th>
        <th>&nbsp;</th>
    </tr>
    <?php foreach ($this->tests as $test) : ?>
        <tr>
            <td><?php echo $this->escapeHtml($test->title);?></td>
            <td><?php echo $this->escapeHtml($test->artist);?></td>
            <td>
                <a href="<?php echo $this->url('test',
                    array('action'=>'edit', 'id' => $test->id));?>">Edit</a>
            </td>
            <td>
                <a href="<?php echo $this->url('test',
                    array('action'=>'delete', 'id' => $test->id));?>">Delete</a>
            </td>
        </tr>
    <?php endforeach; ?>
</table>

<?php
echo $this->paginationControl(
    $this->tests,
    'sliding',
    'partial/paginator.phtml',
    array(
        'route' => 'test'
    )
);
?>